﻿
-- Author      : Scott
-- Create Date : 10/27/2012 12:47:56 PM

 function BGHelperConfigFrame_OnShow()
  if ( not BGHelper_variablesLoaded ) then -- config not loaded
		BGHelperConfigFrame:Hide(); -- hide our config pane
		return;
  end
	BGHelperConfigFrameCheckButtonOn:SetChecked( BGHelperConfig[myBGHelperRealm][myBGHelperChar].on );
	BGHelperConfigFrameCheckButtonMovable:SetChecked( BGHelperConfig[myBGHelperRealm][myBGHelperChar].movable);	
	 BGHelperConfigFrameCheckButtonMovable:SetChecked( BGHelperConfig[myBGHelperRealm][myBGHelperChar].debug);
	ScaleSlider:SetValue(BGHelperConfig[myBGHelperRealm][myBGHelperChar].scale)
	AlphaSlider:SetValue(BGHelperConfig[myBGHelperRealm][myBGHelperChar].alpha)
 end
 function BGHelperConfigFrameCheckButtonOn_OnClick()
	if BGHelperConfigFrameCheckButtonOn:GetChecked() then
		BGHelperConfig[myBGHelperRealm][myBGHelperChar].on=true
	else
		BGHelperConfig[myBGHelperRealm][myBGHelperChar].on=false
	end
	BGHelper_ConfigChange()
 end
 
 
 function BGHelperConfigFrameCheckButtonMovable_OnClick()
	if BGHelperConfigFrameCheckButtonMovable:GetChecked() then
		BGHelperConfig[myBGHelperRealm][myBGHelperChar].movable=true
		BGHelperFrame:RegisterForDrag("LeftButton")
		FrameMovable:Show()
	else
		BGHelperConfig[myBGHelperRealm][myBGHelperChar].movable=false
		BGHelperFrame:RegisterForDrag()
		FrameMovable:Hide()
	end
	BGHelper_ConfigChange()
 end
 
 
 function BGHelperConfigFrameCheckButtonDebug_OnClick()
	if BGHelperConfigFrameCheckButtonDebug:GetChecked() then
		BGHelperConfig[myBGHelperRealm][myBGHelperChar].debug=true
	else
		BGHelperConfig[myBGHelperRealm][myBGHelperChar].debug=false
	end
	BGHelper_ConfigChange()
 end

 function ScaleSlider_OnLoad()
	_G[ScaleSlider:GetName() .. 'Low']:SetText('.5')        -- Sets the left-side slider text (default is "Low").
	_G[ScaleSlider:GetName() .. 'High']:SetText('1.5')     -- Sets the right-side slider text (default is "High").
	_G[ScaleSlider:GetName() .. 'Text']:SetText('Scale')       -- Sets the "title" text (top-centre of slider).
	ScaleSlider:SetMinMaxValues(.5,1.5);
	ScaleSlider:SetValueStep(.05)
 end
 
 function ScaleSlider_OnValueChanged()
	BGHelperFrame:SetScale(ScaleSlider:GetValue())
	 BGHelperConfig[myBGHelperRealm][myBGHelperChar].scale = ScaleSlider:GetValue()
 end
 
 function AlphaSlider_OnLoad()
	_G[AlphaSlider:GetName() .. 'Low']:SetText('0')        -- Sets the left-side slider text (default is "Low").
	_G[AlphaSlider:GetName() .. 'High']:SetText('1')     -- Sets the right-side slider text (default is "High").
	_G[AlphaSlider:GetName() .. 'Text']:SetText('Background Alpha')       -- Sets the "title" text (top-centre of slider).
	AlphaSlider:SetMinMaxValues(0,1);
	AlphaSlider:SetValueStep(.05)
 end
 
 function AlphaSlider_OnValueChanged()
	BGHelperFrame:SetBackdropColor(0,0,0,AlphaSlider:GetValue())
	BGHelperConfig[myBGHelperRealm][myBGHelperChar].alpha = AlphaSlider:GetValue()
 end
 